'use strict';
import GLib from 'gi://GLib';
export function makeTimeout() {
    return { id: undefined };
}
export function setTimeout(timeout, func, delay) {
    timeout.id = GLib.timeout_add(GLib.PRIORITY_DEFAULT, delay, () => {
        func();
        timeout.id = undefined;
        return GLib.SOURCE_REMOVE;
    });
}
export function clearTimeout(timeout) {
    if (timeout.id) {
        GLib.source_remove(timeout.id);
        timeout.id = undefined;
    }
}
export function setInterval(timeout, func, delay) {
    clearInterval(timeout);
    timeout.id = GLib.timeout_add(GLib.PRIORITY_DEFAULT, delay, () => {
        func();
        return GLib.SOURCE_CONTINUE;
    });
}
export function clearInterval(timeout) {
    if (timeout.id) {
        GLib.source_remove(timeout.id);
        timeout.id = undefined;
    }
}
