import Clutter from 'gi://Clutter';
import Meta from 'gi://Meta';
import Mtk from 'gi://Mtk';
import { makeWidget, setStyles } from '../gjs/widget.js';
export function makeCursor() {
    const cursor = makeWidget();
    const shellTracker = Meta.CursorTracker.get_for_display(global.display);
    shellTracker.connect('cursor-changed', () => {
        const texture = shellTracker.get_sprite();
        if (!texture) {
            cursor.opacity = 0;
            return;
        }
        cursor.opacity = 255;
        const [width, height] = [texture.get_width(), texture.get_height()];
        const clip = new Mtk.Rectangle({ x: 0, y: 0, width, height });
        const content = Clutter.TextureContent.new_from_texture(texture, clip);
        cursor.set_content(content);
    });
    setStyles(cursor, {
        width: '20px',
        height: '20px',
    });
    return cursor;
}
